/***************************** LICENSE START ***********************************

 Copyright 2014 ECMWF and INPE. This software is distributed under the terms
 of the Apache License version 2.0. In applying this license, ECMWF does not
 waive the privileges and immunities granted to it by virtue of its status as
 an Intergovernmental Organization or submit itself to any jurisdiction.

 ***************************** LICENSE END *************************************/

#pragma once

class Folder;
class QObject;

class FolderPresenter
{
public:
    virtual ~FolderPresenter() = default;
    virtual Folder* currentFolder() = 0;
    virtual bool isDisplayed() = 0;
    virtual QObject* realObject() = 0;
};
